> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a fee



## OpenAPI

````yaml /api-reference/openapi.json post /clients/{client_id}/fees
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /clients/{client_id}/fees:
    post:
      tags:
        - Fees
      summary: Create a fee
      parameters:
        - name: client_id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeeInput'
      responses:
        '200':
          description: Fee created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Fee'
components:
  schemas:
    FeeInput:
      type: object
      required:
        - name
        - estimate
        - work_order
      properties:
        name:
          type: string
          description: Name of fee
        estimate:
          type: number
          format: float
          description: Estimate
        work_order:
          type: string
          description: Work order
        description:
          type: string
          description: Description
        frequency:
          type: integer
          description: Frequency
        status:
          type: string
          enum:
            - active
            - inactive
          description: Status
        estimated_time:
          type: integer
          description: Estimated time in hours
        start:
          type: string
          format: date
          description: Start date
        end:
          type: string
          format: date
          description: End date
        currency_id:
          type: integer
          description: Currency of fee
    Fee:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        estimate:
          type: number
          format: float
        work_order:
          type: string
        description:
          type: string
        frequency:
          type: integer
        status:
          type: string
          enum:
            - active
            - inactive
        estimated_time:
          type: integer
        start:
          type: string
          format: date
        end:
          type: string
          format: date
        currency_id:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````